## cti-taxii-client 2.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = taxii2client
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
cti-taxii-client (2.3.0-0kali3) kali-dev; urgency=medium

  * Build-Depend on python3-six

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 05 Sep 2024 17:43:16 +0700

cti-taxii-client (2.3.0-0kali2) kali-dev; urgency=medium

  * Add missing dependency

 -- Steev Klimaszewski <steev@kali.org>  Tue, 14 May 2024 01:01:42 -0500

cti-taxii-client (2.3.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Aug 2023 14:00:17 +0200

=== debian/control ===
Source: cti-taxii-client
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-sphinx-prompt,
 python3-tz,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/oasis-open/cti-taxii-client
Vcs-Browser: https://gitlab.com/kalilinux/packages/cti-taxii-client
Vcs-Git: https://gitlab.com/kalilinux/packages/cti-taxii-client.git

Package: python3-taxii2client
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cti-taxii-client-doc,
Description: minimal client implementation for the TAXII 2.X server (Python 3)
 This package contains a minimal client implementation for the TAXII 2.X
 server. It supports the following TAXII 2.X API services:
    - Server Discovery
    - Get API Root Information
    - Get Status
    - Get Collections
    - Get a Collection
    - Get Objects
    - Add Objects
    - Get an Object
    - Delete an Object (2.1 only)
    - Get Object Manifests
    - Get Object Versions (2.1 only)
 .
 This package installs the library for Python 3.

Package: python-taxii2client-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: minimal client implementation for the TAXII 2.X server (common documentation)
 This package contains a minimal client implementation for the TAXII 2.X
 server. It supports the following TAXII 2.X API services:
    - Server Discovery
    - Get API Root Information
    - Get Status
    - Get Collections
    - Get a Collection
    - Get Objects
    - Add Objects
    - Get an Object
    - Delete an Object (2.1 only)
    - Get Object Manifests
    - Get Object Versions (2.1 only)
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=taxii2client

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/oasis-open/cti-taxii-client/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
